<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE hibernate-mapping PUBLIC 
"-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.lerx.entities">

	<class name="MailTeamUnit" table="mail_team_unit" dynamic-update="true">
	
		<id name="id" column="id">
			<generator class="native" />
		</id>
		
	
		<property name="subject" />
		<property name="sender" />
		<property name="recipient"  type="text" />
		<property name="content"  type="text" />
		<property name="txt"  type="text" />
		<property name="status" />
		<property name="failures" />
		<property name="failedLog"  type="text" />
		<property name="deled" />
		<property name="createDT" />
		<property name="sendedDT" />
		
		<many-to-one name="creater" column="createrID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="User" />
			
		
	</class>
</hibernate-mapping>
